Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.core
Class StandardEngine.AccessLogListener

    java.lang.Object
      org.apache.catalina.core.StandardEngine.AccessLogListener

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener, ContainerListener, LifecycleListener

Enclosing class:
  StandardEngine

    protected static final class StandardEngine.AccessLogListener

extends java.lang.Object
implements java.beans.PropertyChangeListener, LifecycleListener, ContainerListener

Constructor Summary
`StandardEngine.AccessLogListener(StandardEngine engine, Host host, Context context)`

Method Summary
`void` | `containerEvent(ContainerEvent event)` Acknowledge the occurrence of the specified event.
`void` | `install()`
`void` | `lifecycleEvent(LifecycleEvent event)` Acknowledge the occurrence of the specified event.
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardEngine.AccessLogListener

    public StandardEngine.AccessLogListener(StandardEngine engine,
                                            Host host,
                                            Context context)

Method Detail

### install

    public void install()

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Description copied from interface: `LifecycleListener`
  Acknowledge the occurrence of the specified event.

  Specified by:
    `lifecycleEvent` in interface `LifecycleListener`
  Parameters:
    `event` - LifecycleEvent that has occurred

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### containerEvent

    public void containerEvent(ContainerEvent event)

  Description copied from interface: `ContainerListener`
  Acknowledge the occurrence of the specified event.

  Specified by:
    `containerEvent` in interface `ContainerListener`
  Parameters:
    `event` - ContainerEvent that has occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.